- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::Pointer Struct Reference

`#include <VSDParser.h>`

## Public Member Functions
| Pointer ()
| Pointer (const Pointer &ptr)

## Public Attributes
unsigned | Type
unsigned | Offset
unsigned | Length
unsigned short | Format
unsigned | ListSize

## Constructor & Destructor Documentation

libvisio::Pointer::Pointer | ( |  | ) |
| inline

libvisio::Pointer::Pointer | ( | const Pointer & | ptr | ) |
| inline

## Member Data Documentation

unsigned short libvisio::Pointer::Format

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

unsigned libvisio::Pointer::Length

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

unsigned libvisio::Pointer::ListSize

unsigned libvisio::Pointer::Offset

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

unsigned libvisio::Pointer::Type

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::handleStreams(), libvisio::VSD5Parser::readPointer(), and libvisio::VSDParser::readPointer().

The documentation for this struct was generated from the following file:

- VSDParser.h